Imagick::setImageProfile
Imagick::setImageRedPrimary
The Imagick class
PHP Manual

# Imagick::setImageProperty

(PECL imagick 2.0.0)

Imagick::setImageProperty — Sets an image property

### Opis

bool Imagick::setImageProperty ( string `$name` , string `$value` )

Sets a named property to the image. Ta metoda jest dostępna, jeśli rozszerzenie Imagick zostało skompilowane z ImageMagick w wersji 6.3.2 lub nowszej.

### Parametry

`name`

`value`

### Przykłady

Przykład #1 Using Imagick::setImageProperty():

Setting and getting image properties

`<?php
$image = new Imagick();
$image->newImage(300, 200, "black");
$image->setImageProperty('Exif:Make', 'Imagick');
echo $image->getImageProperty('Exif:Make');
?>`

### Zobacz też:

- Imagick::getImageProperty() - Returns the named image property

### Zwracane wartości

Zwraca `TRUE` w przypadku sukcesu.

Imagick::setImageProfile
Imagick::setImageRedPrimary
The Imagick class
PHP Manual